Compute profile overrides compute attributes provided in host form
Status: Closed   

Priority: Normal   
Category: Compute resources   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2937,

https://github.com/theforeman/foreman/p

ull/2957

  

Description

If I select compute profile and in Virtual Machine tab I change some compute attr (e.g. image to be used or amount of RAM) it gets

overiden by what's set in compute profile when I submit.

Related issues:

Related to Foreman - Bug #12461: Compute profiles are not applied when inherited Closed 11/12/2015

Associated revisions

Revision 19d9e229 - 12/11/2015 06:36 AM - Shimon Shtein

Fixes #12618 - Now calls for compute attributes are explicit.

Prevents compute attributes from being overwritten unconditionally from

the hostgroup's compute profile.

Revision 26095e05 - 12/11/2015 12:29 PM - Shimon Shtein

Fixes #12618 - Now calls for compute attributes are explicit.

Prevents compute attributes from being overwritten unconditionally from

the hostgroup's compute profile.

(cherry picked from commit 19d9e229ebadb9c9488786391e645c98e4c248ea)

History

#1 - 11/26/2015 10:05 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2937 added

#2 - 11/26/2015 10:22 AM - Dominic Cleal

- Related to Bug #12461: Compute profiles are not applied when inherited added

#3 - 11/26/2015 10:23 AM - Dominic Cleal

- translation missing: en.field_release set to 63

This looks like a regression introduced by #12461, which calls set_compute_attributes from set_hostgroup_defaults without checking the value of

compute_attributes.

#4 - 11/26/2015 10:39 AM - Marek Hulán

I think that call is required, after you select a hostgroup you need to refresh compute attributes from profile unconditionally. Maybe now we can even

remove the condition from before_validation if it makes more sense. Anyway thanks for quick look.
#5 - 12/03/2015 08:35 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/2957 added

#6 - 12/11/2015 07:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 19d9e229ebadb9c9488786391e645c98e4c248ea.
